/// <reference types="react" />
interface ArrayModalItemHeaderProps {
    expanded: boolean;
    enableDetailedView: boolean;
    index: number;
    path: string;
    handleExpand: () => void;
    removeItem: (path: string, value: number) => () => void;
    duplicateItem: (index: number) => () => void;
    childLabel: string;
    childData: any;
    DNDHandle?: any;
    customPicker: {
        enabled: boolean;
        handler: (current?: object) => void;
    };
    uischema: any;
    JsonFormsDispatch: any;
}
export default function ModalItemHeader({ DNDHandle, childData, childLabel, customPicker, duplicateItem, enableDetailedView, expanded, handleExpand, index, path, removeItem, uischema, JsonFormsDispatch, }: ArrayModalItemHeaderProps): JSX.Element;
export {};
